# Automated GNU plots of EcoLAB nutrient data
# Xueqing Mei, Green Eyes LLC, xueqing@gescience.com
# January 2017

#move to data dir
	cd 'C:/ComScript/profiles/EcoLAB_ComScript/'

#prep for png output
	#set terminal png font "DejaVu Sans" enhanced

#add a grid
	set grid
	
#set legend outside
       set key outside
       set datafile separator ","

#Plot SiO OBS
	set output 'C:/ComScript/profiles/EcoLAB_ComScript/SiO_obs_abs.png'
	set term png size 1500,600
	set style data lines
	set autoscale xy
	#set yrange [ 0:0.05]
	set xlabel "Month/Day"
	set ylabel "Absorbance"
	set xdata time
	set timefmt "%m/%d/%y %H:%M:%S"
	set format x "%m/%d"
	set xtics 691200
	set mxtics 4
	set title "{/*1.4 EcoLAB_ComScript}\n\n{/*1.1On-board Standard Absorbance - Silicate}"
	set pointsize 0.75
	set size 1.0,0.75
	plot 'Silicate_Calculated.csv' using 1:18 notitle with points pt 1 ps 1.5 lc rgb "#DC143C"

#Plot SiO Conc
	set output 'C:/ComScript/profiles/EcoLAB_ComScript/SiO_smp_conc.png'
	set term png size 1500,600
	set style data lines
	set autoscale xy
	#set yrange [0: ]
	set xlabel "Month/Day"
	set ylabel "Concentration (uM/L)"
	set xdata time
	set timefmt "%m/%d/%y %H:%M:%S"
	set format x "%m/%d"
	set xtics 691200
	set mxtics 4
	set title "{/*1.4 EcoLAB}\n\n{/*1.1Sample Concentration - Silicate}"
	set pointsize 0.75
	set size 1.0,0.75
	plot 'Silicate_Calculated.csv' using 1:20 notitle with points pt 2 ps 1.5 lc rgb "#DC143C"

